play.data.validation

## Annotation Type InPast

    @Retention(value=RUNTIME)
     @Target(value={FIELD,PARAMETER})
     @Constraint(checkWith=InPastCheck.class)
    public @interface InPast

This date must be in the past. Message key: validation.past $1: field name $2: reference date

### Optional Element Summary

Optional Elements
`java.lang.String` `message`
`java.lang.String` `value`

### Element Detail

#### message

    public abstract java.lang.String message

Default:
  "validation.past"

#### value

    public abstract java.lang.String value

Default:
  ""